diff --git a/pgadmin/dlg/dlgTextSearchConfiguration.cpp b/pgadmin/dlg/dlgTextSearchConfiguration.cpp
index ffe1da7..db3b7a4 100644
--- a/pgadmin/dlg/dlgTextSearchConfiguration.cpp
+++ b/pgadmin/dlg/dlgTextSearchConfiguration.cpp
@@ -339,7 +339,16 @@ void dlgTextSearchConfiguration::OnRemoveToken(wxCommandEvent &ev)
 wxString dlgTextSearchConfiguration::GetSql()
 {
 	wxString sql;
-	wxString objname = schema->GetQuotedPrefix() + qtIdent(config->GetName());
+	wxString objname;
+
+	if (config)
+	{
+		objname = schema->GetQuotedPrefix() + qtIdent(config->GetName());
+	}
+	else
+	{
+		objname = schema->GetQuotedPrefix() + qtIdent(GetName());
+	}
 
 	if (cbParser->GetValue().Length() > 0)
 	{
